
#include <string.h>
#include "esp_wifi.h"
#include "esp_system.h"
#include "esp_event.h"
#include "esp_log.h"
#include "esp_mesh.h"
#include "esp_mesh_internal.h"
#include "nvs_flash.h"
#include "driver/gpio.h"
#include "esp_ota_ops.h"
#include "esp_partition.h"

#include "Mesh_OTA.h"
#include "Blinky_LED.h"

static const char *LOG_TAG = "esp_main";

void app_main(void)
{
    esp_err_t err = ESP_OK;
    ESP_LOGI(LOG_TAG, "hardcoded: 0.0.1");

    ESP_LOGI(LOG_TAG, "start mesh network");
    err = errMeshNetworkInitialize();
    ESP_ERROR_CHECK(err);

    ESP_LOGI(LOG_TAG, "start ota");
    err = errMeshOTAInitialize();
    ESP_ERROR_CHECK(err);

    ESP_LOGI(LOG_TAG, "start app");
    err = errBlinkyLEDInitialize();
    ESP_ERROR_CHECK(err);
}


